#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
#xport DEB_BUILD_OPTIONS = nocheck
#xport DEB_CXXFLAGS_MAINT_APPEND = -Wno-error=return-type
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QT_SELECT := 6

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DAPP_VERSION=0.7.1-rc2

override_dh_install:
	dh_install --

override_dh_auto_test:
	QT_QPA_PLATFORM=offscreen dh_auto_test --

override_dh_missing:
	dh_missing --fail-missing
